Package org.mozilla.javascript.engine

## Class RhinoCompiledScript

- java.lang.Object
- - javax.script.CompiledScript
  - - org.mozilla.javascript.engine.RhinoCompiledScript

-     public class RhinoCompiledScript
      extends javax.script.CompiledScript

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `eval​(javax.script.ScriptContext context)` |
    `javax.script.ScriptEngine` | `getEngine()` |

    - ### Methods inherited from class javax.script.CompiledScript

      `eval, eval`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### eval

          public java.lang.Object eval​(javax.script.ScriptContext context)
                                throws javax.script.ScriptException

      Specified by:
        `eval` in class `javax.script.CompiledScript`
      Throws:
        `javax.script.ScriptException`

    - #### getEngine

          public javax.script.ScriptEngine getEngine()

      Specified by:
        `getEngine` in class `javax.script.CompiledScript`